<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="userProfile">
            <h2><span jhiTranslate="smarmsApp.userProfile.detail.title">User Profile</span> {{userProfile.id}}</h2>
            <hr>
            <jhi-alert-error></jhi-alert-error>
            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="smarmsApp.userProfile.name">Name</span></dt>
                <dd>
                    <span>{{userProfile.name}}</span>
                </dd>
                <dt><span jhiTranslate="smarmsApp.userProfile.title">Title</span></dt>
                <dd>
                    <span>{{userProfile.title}}</span>
                </dd>
                <dt><span jhiTranslate="smarmsApp.userProfile.position">Position</span></dt>
                <dd>
                    <span>{{userProfile.position}}</span>
                </dd>
                <dt><span jhiTranslate="smarmsApp.userProfile.description">Description</span></dt>
                <dd>
                    <span>{{userProfile.description}}</span>
                </dd>
                <dt><span jhiTranslate="smarmsApp.userProfile.image">Image</span></dt>
                <dd>
                    <div *ngIf="userProfile.image">
                        <a (click)="openFile(userProfile.imageContentType, userProfile.image)">
                            <img [src]="'data:' + userProfile.imageContentType + ';base64,' + userProfile.image" style="max-width: 100%;" alt="userProfile image"/>
                        </a>
                        {{userProfile.imageContentType}}, {{byteSize(userProfile.image)}}
                    </div>
                </dd>
                <dt><span jhiTranslate="smarmsApp.userProfile.backgroundImage">Background Image</span></dt>
                <dd>
                    <div *ngIf="userProfile.backgroundImage">
                        <a (click)="openFile(userProfile.backgroundImageContentType, userProfile.backgroundImage)">
                            <img [src]="'data:' + userProfile.backgroundImageContentType + ';base64,' + userProfile.backgroundImage" style="max-width: 100%;" alt="userProfile image"/>
                        </a>
                        {{userProfile.backgroundImageContentType}}, {{byteSize(userProfile.backgroundImage)}}
                    </div>
                </dd>
                <dt><span jhiTranslate="smarmsApp.userProfile.linkedIn">Linked In</span></dt>
                <dd>
                    <span>{{userProfile.linkedIn}}</span>
                </dd>
                <dt><span jhiTranslate="smarmsApp.userProfile.email">Email</span></dt>
                <dd>
                    <span>{{userProfile.email}}</span>
                </dd>
                <dt><span jhiTranslate="smarmsApp.userProfile.instagram">Instagram</span></dt>
                <dd>
                    <span>{{userProfile.instagram}}</span>
                </dd>
                <dt><span jhiTranslate="smarmsApp.userProfile.resume">Resume</span></dt>
                <dd>
                    <span>{{userProfile.resume}}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon [icon]="'arrow-left'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/user-profile-smarms', userProfile.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon [icon]="'pencil-alt'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
            </button>
        </div>
    </div>
</div>
